SocialEngine Blog

SocialEngine is the best way to create a unique community website. Let your friends, fans or customers geek out about anything you want.

SocialEngine PHP 4.9.4 Release

760x368490release
Hello!

We’re back with a new release –  SocialEngine PHP 4.9.4! This minor release addresses some issues that were reported by clients in our community along with a few issues our staff found during further testing. We’ve also included some improvements for the upcoming certified marketplace.

A big improvement we’ve made is to add LESS parser support for themes!. This combined with the improvements we made in 4.9.3 are sure to drastically improve SocialEngine templates!  **Note: if using Admin Panel to edit the LESS variables, you’ll need a minimum of PHP 5.3.2 on the server.

Fixed Issues or Improvements Made:

  • Feature – Adding LESS parser support for themes.
  • Fixed – default language only worked if set to English.
  • Fixed – issue with installing plugins on Ubuntu 16.
  • Fixed – issue with session_write_close() for some servers.
  • Fixed – added password field for Redis cache, optional setting.
  • Fixed – using quotes in About Me caused ASCII characters to show.
  • Fixed – issue with saving CSV to PHP setting if setting did not exist in DB.
  • Fixed – changed notification to DESC to allow new notifications to show for those with lots of activity.
  • Fixed – error with Archive_Tar has a deprecated constructor.
  • Fixed – issue with widgets loading for disabled plugins.
  • Fixed – critical error with “Already Liked.”

You can also browse the complete changelog for more details about the changes and fixes implemented in this version.

We had mentioned in our 4.10 sneak peek that we would remove older themes (all themes except Insignia) from the core download. We’ve removed them for this release but they can now be found in the marketplace for free and can be downloaded once logged in to your account. You’ll see them listed as SocialEngine PHP Legacy Themes in one bundle. Support and updates for these themes will not be provided as they are legacy products and we cannot continue to support them. We suggest you contact third party experts for assistance with any theme issues. Experts that may want to update and release versions of these themes for sale or free need to contact SocialEngine first.

In preparation of our certified marketplace launch, we’ve added some improvements to this version. In your Admin Panel, once our certified marketplace opens you’ll notice certified plugins that you can purchases. At this time, these install in the normal method (via the Package Manager after you purchase and download them).

We’ve also added headers in your Admin Panel package manager to separate each expert’s listings that you’ve installed. Here’s a screenshot with two different expert’s products installed:

admin package headers

Please ensure that you have set your domain for your license in your client dashboard at SocialEngine. This is very important as the site validation tool, https://www.socialengine.com/php-site/verify , checks by domain name. We have had sites reported as invalid by people checking them, and they actually are valid sites. This will also be important for future marketplace product validation.

As always we highly encourage all users to do a complete backup of both files and database before performing this upgrade. Please have the backup performed by your host or a developer if you’re not comfortable with performing it yourself. Always check with third party experts for compatibility with any products you use before upgrading.

Important: If you are on a version below 4.9.2, you will need to follow the steps in this blog before upgrading and apply the patch mentioned.

Your copy of version 4.9.4 can be downloaded in your client account. The Zend download is no longer required as it’s part of the core product. The link still shows but does not work to download and will be removed on our next website update.To upgrade, please view our upgrade documentation or, if you’d rather we take care of the hard stuff, you can order an upgrade and we’ll do it for you. Fresh installs should follow this installation tutorial or you can order an installation and our team will get it installed in no time!

Thank you all for your help in posting any bugs you may have found! If you find any more issues, please let us know by filing a bug report in our Bug Tracker or by contacting us here. Lastly we’d like to encourage you to stay connected with the community.

With Appreciation,
The SocialEngine Team

6 Comments

  1. Aleksey Volkov
    Posted August 23, 2017 at 12:58 pm | Permalink

    Looks like great minor update, thanks! :)

  2. Kaitzu Veijari Viekkula
    Posted August 23, 2017 at 1:46 pm | Permalink

    i have this 4.9.4 so can i update it without any problems?

  3. Posted August 24, 2017 at 12:15 am | Permalink

    4.9.4 is an another great upgrade by SocialEngine. CSS is powerful but, can prove to be verbose for consequential projects, addition of LESS will result in more cleaner, optimized code. It has rightly been said “LESS is write less do more.”. This is a great addition by SocialEngine in this new version.

    Display of certified plugins in the admin panel seems to be a nice addition for the 3rd party experts and this will also help out the community users to have certified plugins on their website.

    Looking forward to the release of 4.10!

    Thinking of upgrading your website to the latest 4.9.4? Opt for our SocialEngine Upgrade service and get going: https://www.socialengineaddons.com/services/socialengine-installation-and-upgrade
    For any queries, contact us here: suppor0@socialengineaddons.com

  4. Posted August 24, 2017 at 8:29 am | Permalink

    Thanks for your great feedback! :)

  5. Posted August 24, 2017 at 8:30 am | Permalink

    We suggest checking any third party products before updating and having a full backup. We don’t anticipate you would have any issues but we cannot guarantee it.

  6. Posted August 24, 2017 at 8:30 am | Permalink

    Thank you!

Post a Reply to SocialEngineAddOns

You must be logged in to Post a Comment.